import { DeviceType } from '@ucap-webmessenger/core';
import {
  APIRequest,
  APIResponse,
  APIEncoder,
  APIDecoder,
  ParameterUtil
} from '@ucap-webmessenger/api';

export interface TransMassTalkDownloadRequest extends APIRequest {
  userSeq: number;
  deviceType: DeviceType;
  token: string;
  eventTransSeq?: string;
}

export interface TransMassTalkDownloadResponse extends APIResponse {
  Original?: string;
  Translation?: string;
  Locale?: string;
  UserName?: string;
  RegDate?: string;
}

const transMassTalkDownloadEncodeMap = {};

export const encodeTransMassTalkDownload: APIEncoder<
  TransMassTalkDownloadRequest
> = (req: TransMassTalkDownloadRequest) => {
  return ParameterUtil.encode(transMassTalkDownloadEncodeMap, req);
};

export const decodeTransMassTalkDownload: APIDecoder<
  TransMassTalkDownloadResponse
> = (res: any) => {
  return {} as TransMassTalkDownloadResponse;
};
