import {
  ProtocolRequest,
  ProtocolResponse,
  ProtocolEncoder,
  PacketBody,
  ProtocolDecoder,
  ProtocolMessage,
  decodeProtocolMessage
} from '@ucap-webmessenger/protocol';

// tslint:disable-next-line: no-empty-interface
export interface ConnRequest extends ProtocolRequest {}

// tslint:disable-next-line: no-empty-interface
export interface ConnResponse extends ProtocolResponse {}

export const encodeConn: ProtocolEncoder<ConnRequest> = (req: ConnRequest) => {
  const bodyList: PacketBody[] = [];

  return bodyList;
};

export const decodeConn: ProtocolDecoder<ConnResponse> = (
  message: ProtocolMessage
) => {
  return decodeProtocolMessage(message, {} as ConnResponse);
};
