import { DeptType } from '../types/dept.type';

export interface DeptInfo {
  /** 부서SEQ */
  seq: number;
  /** 부서명 */
  name: string;
  /** 기관코드 */
  companyCode: string;
  /** 부서타입 */
  type: DeptType;
  /** 본부SEQ */
  rootSeq: number;
  /** 상위부서SEQ */
  parentSeq: number;
  /** 조회순서 */
  order: string;
  /** 조회레벨 */
  depth: number;
  /** ActiveYN */
  isActive: boolean;
  /** 부서명(영어) */
  nameEn: string;
  /** 부서명(중국어) */
  nameCn: string;
}
