import { EmployeeType } from '../types/employee.type';

export interface UserInfoShort {
  // 0. 사용자SEQ
  seq: number;
  // 1. 사용자명
  name: string;
  // 2. 사진파일
  profileImageFile: string;
  // 3. 참여여부
  isJoinRoom: boolean;
  // 4. 최종확인SEQ
  lastReadEventSeq: number;
  // 5. MADN
  madn: string;
  // 6. HARDPHONE_SADN
  hardSadn: string;
  // 7. FMC_SADN
  fmcSadn: string;
  // 8. 사용자명(영어)
  nameEn: string;
  // 9. 사용자명(중국어)
  nameCn: string;
  // 10. 이용약관동의여부YN
  isPrivacyAgree: boolean;
  // 11. 유효접속여부YN
  isValidLogin: boolean;
  // 12. 임직원유형(s)
  employeeType: EmployeeType;
  // 13. 폰트색(s)
  fontColor: string;
}
