import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { TemplatePageComponent } from './components/template.page.component';

const routes: Routes = [
  { path: '', redirectTo: '/template/page', pathMatch: 'full' },
  {
    path: 'page',
    component: TemplatePageComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AppTemplateRoutingPageModule {}
