import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatButtonModule } from '@angular/material/button';

import { UCapUiChatModule } from '@ucap-webmessenger/ui-chat';
import { UCapUiRoomModule } from '@ucap-webmessenger/ui-room';
import { UCapUiGroupModule } from '@ucap-webmessenger/ui-group';
import { UCapUiOrganizationModule } from '@ucap-webmessenger/ui-organization';
import { UCapUiProfileModule } from '@ucap-webmessenger/ui-profile';

import { AppTemplateRoutingPageModule } from './template-routing.page.module';

import { COMPONENTS, MET_MODULES } from './components';

@NgModule({
  imports: [
    ...MET_MODULES,
    CommonModule,
    FlexLayoutModule,
    MatButtonModule,
    UCapUiChatModule,
    UCapUiRoomModule,
    UCapUiGroupModule,
    UCapUiOrganizationModule,
    UCapUiProfileModule,
    AppTemplateRoutingPageModule
  ],
  declarations: [...COMPONENTS],
  entryComponents: []
})
export class AppTemplatePageModule {}
