export const SVC_TYPE_EVENT = 20;

export const SSVC_TYPE_EVENT_INFO_REQ = 1; // 이벤트 정보 요청
export const SSVC_TYPE_EVENT_INFO_DATA = 2; // 이벤트 정보
export const SSVC_TYPE_EVENT_INFO_RES = 3; // 이벤트 정보 완료
export const SSVC_TYPE_EVENT_SEND_REQ = 11; // 이벤트 전송 요청
export const SSVC_TYPE_EVENT_SEND_RES = 12; // 이벤트 전송 응답
export const SSVC_TYPE_EVENT_SEND_NOTI = 13; // 이벤트 전송 알림
export const SSVC_TYPE_EVENT_PUSH_REQ = 14; // (푸시 요청)
export const SSVC_TYPE_EVENT_PUSH_CL_REQ = 15; // (AWAY PUSH 요청)
export const SSVC_TYPE_EVENT_INPUT_STATUS_REQ = 16; // 이벤트 입력 알림 요청
export const SSVC_TYPE_EVENT_INPUT_STATUS_RES = 17; // 이벤트 입력 알림 응답
export const SSVC_TYPE_EVENT_READ_REQ = 21; // 이벤트 확인 요청
export const SSVC_TYPE_EVENT_READ_RES = 22; // 이벤트 확인 응답
export const SSVC_TYPE_EVENT_READ_NOTI = 23; // 에벤트 확인 알림
export const SSVC_TYPE_EVENT_UNREAD_CNT_REQ = 25; // 이벤트 UnreadCnt 요청
export const SSVC_TYPE_EVENT_UNREAD_CNT_RES = 26; // 이벤트 UnreadCnt 응답
export const SSVC_TYPE_EVENT_USER_UNREAD_CNT_REQ = 27; // 사용자 UnreadCnt 요청
export const SSVC_TYPE_EVENT_USER_UNREAD_CNT_RES = 28; // 사용자 UnreadCnt 응답
export const SSVC_TYPE_EVENT_DEL_REQ = 31; // 이벤트 삭제 요청
export const SSVC_TYPE_EVENT_DEL_RES = 32; // 이벤트 삭제 응답
export const SSVC_TYPE_EVENT_CANCEL_REQ = 33; // 이벤트 회수 요청
export const SSVC_TYPE_EVENT_CANCEL_NOTI = 34; // 이벤트 회수 알림
export const SSVC_TYPE_EVENT_CANCEL_RES = 35; // 이벤트 회수 응답
export const SSVC_TYPE_EVENT_BOT_NOTI_REQ = 41; // BOT방에 이벤트 전송 요청
export const SSVC_TYPE_EVENT_BOT_NOTI_RES = 42; // BOT방에 이벤트 전송 응답
export const SSVC_TYPE_EVENT_CAPTURE_NOTI_REQ = 43; // iOS에서 캡쳐 시,알림 요청
export const SSVC_TYPE_EVENT_CAPTURE_NOTI_RES = 44; // iOS에서 캡쳐 시,알림 응답
export const SSVC_TYPE_EVENT_SEND_PLAN_REQ = 51; // 일정 정보 전송 요청
export const SSVC_TYPE_EVENT_SEND_PLAN_RES = 52; // 일정 정보 전송 응답
export const SSVC_TYPE_EVENT_SEND_CONF_REQ = 61; // 화상회의 정보 전송 요청
export const SSVC_TYPE_EVENT_SEND_CONF_RES = 62; // 화상회의 정보 전송 응답
export const SSVC_TYPE_EVENT_BOT_SMS_REQ = 71; // UCAP SMS이벤트 전송 요청
export const SSVC_TYPE_EVENT_BOT_SMS_RES = 72; // UCAP SMS이벤트 전송 응답
export const SSVC_TYPE_EVENT_PUSH_UMG_CL_REQ = 81; // (AWAY 쪽지 PUSH 요청)
export const SSVC_TYPE_EVENT_PUSH_CHECK_REQ = 91; // 푸시 체크 요청
export const SSVC_TYPE_EVENT_PUSH_CHECK_RES = 92; // 푸시 체크 응답
export const SSVC_TYPE_EVENT_SEND_STREAM_REQ = 101; // 동영상 스트리밍 전송 요청
export const SSVC_TYPE_EVENT_SEND_STREAM_RES = 102; // 동영상 스트리밍 전송 응답
