export const SSVC_TYPE_ERROR_RES = 1000;

export enum ServerErrorCode {
  ERRCD_FORCE_CLOSE = 10,
  ERRCD_PROTOCOL = 11,
  ERRCD_VERSION = 12,
  ERRCD_DID = 13,
  ERRCD_IDPW = 14,
  ERRCD_DUPLICATE = 15,
  ERRCD_TOKEN = 16,
  ERRCD_SETUP_MAIN = 17,
  ERRCD_FORCE_INIT = 18,
  ERRCD_SSO_AUTH = 19,
  ERRCD_SSO_VALI = 20,
  ERRCD_DEV_NOT_SUPPORTED = 21,
  ERRCD_NO_MOBILE_PID = 22,
  ERRCD_SVC_EXPIRE = 99,
  ERRCD_FAILED = 100,
  ERRCD_DATABASE = 101,
  ERRCD_EXCESS = 102,
  ERRCD_NEED_AUTH = 103,
  ERRCD_USERINFO = 104, // ucap 은 없음.
  ERRCD_AUTH_DENY = 1000,
  ERRCD_ENCRYPT = 1001, // 패킷 암호화 오류
  ERRCD_RECON = 1002 // 다른 IP로 접속 요청
}
