import { Component, OnInit, Input } from '@angular/core';
import { NGXLogger } from 'ngx-logger';
import { FileEventJson } from '@ucap-webmessenger/protocol-event';

@Component({
  selector: 'ucap-chat-message-box-image',
  templateUrl: './image.component.html',
  styleUrls: ['./image.component.scss']
})
export class ImageComponent implements OnInit {
  @Input()
  fileInfo: FileEventJson;
  @Input()
  expired = false;

  constructor(private logger: NGXLogger) {}

  ngOnInit() {}
}
