import { StatusCode } from '@ucap-webmessenger/api';
import { FileType } from '@ucap-webmessenger/protocol-file';

export interface FileInfo {
  StatusCode?: StatusCode;
  ErrorMessage?: string;
  RoomID?: number;
  FileName?: string;
  FileExt?: string;
  FileType?: FileType;
  ThumbURL?: string;
  AttSEQ?: number;
  AttSize?: number;
  AttRegDate?: Date;
  ImageWidth?: number;
  ImageHeight?: number;
  CompanyCode?: string;
  VoiceTime?: string;
  SynappKey?: string;
}
