import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';

const COMPONENTS = [];
const SERVICES = [];

@NgModule({
  imports: [CommonModule, ReactiveFormsModule],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS]
})
export class UCapUiMessengerModule {
  public static forRoot(): ModuleWithProviders<UCapUiMessengerModule> {
    return {
      ngModule: UCapUiMessengerModule,
      providers: [...SERVICES]
    };
  }
}
