import { NgModule, ModuleWithProviders } from '@angular/core';

import { LocalStorageService } from './services/local-storage.service';
import { SessionStorageService } from './services/session-storage.service';

const SERVICES = [LocalStorageService, SessionStorageService];

@NgModule({
  imports: [],
  exports: [],
  declarations: []
})
export class UCapWebStorageModule {
  public static forRoot(): ModuleWithProviders<UCapWebStorageModule> {
    return {
      ngModule: UCapWebStorageModule,
      providers: [...SERVICES]
    };
  }
}
